Subject: [mobile-ip] RFC2002bis and MD5 vs SHA1

From: Simon Josefsson <[email-masked]>
Date: Thu, 25 Oct 2001 12:37:32 +0200

Since the Son-Of-RFC2002 draft changes the mandatory authentication
from keyed-MD5 in prefix+suffix mode to HMAC-MD5, is it too late to
instead change it into HMAC-SHA1?  See for instance
ftp://ftp.rsasecurity.com/pub/cryptobytes/crypto2n2.pdf for a
discussion on MD5 security, I assume it hasn't gotten stronger since
then.

Several protocols have been moving from MD5 to SHA1 as the default
hash function for some time now, and I think it would be unfortunate
to change protocols so that they use MD5 today.

If there is a possibility of changing it without affecting
implementations (you don't implement IETF drafts, do you? <g>) I think
it would be good to do this.